Download TikTok video media
curl --request POST \
--url https://api.agentbody.io/v1/tiktok/video/download \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"ttl": "1w"
}
'import requests
url = "https://api.agentbody.io/v1/tiktok/video/download"
payload = {
"url": "<string>",
"ttl": "1w"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', ttl: '1w'})
};
fetch('https://api.agentbody.io/v1/tiktok/video/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"expires_at": "2026-01-08T00:00:00Z",
"file_size_mb": 15.2,
"play_url": "https://example.com/play.mp4",
"storage_url": "https://example.com/storage/video.mp4",
"ttl": "1w",
"video_id": "7050551461734042926"
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "example error"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "example error"
}
}{
"error": {
"code": "CONFLICT",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_INVALID_RESPONSE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_UNAVAILABLE",
"message": "example error"
}
}{
"error": {
"code": "UPSTREAM_TIMEOUT",
"message": "example error"
}
}tiktok
Download TikTok video media
Use this operation to download the media file of a tiktok video. This is separately billed. The response contains a persistent storage URL that stays valid for the selected TTL plus the direct playback URL.
POST
/
v1
/
tiktok
/
video
/
download
Download TikTok video media
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional key for safely retrying a billable write request.
Required string length:
1 - 255Body
application/json
Was this page helpful?
